> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Standard Test Detail > Returns information about a specified standard test ## OpenAPI ````json GET /api/v1/Authoring/projects/{projectId}/tests/{testId} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/tests/{testId}": { "get": { "tags": [ "Authoring" ], "summary": "Get Standard Test Detail", "description": "Returns information about a specified standard test", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Standard test to retrieve", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestView" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.StandardTestView": { "title": "StandardTestView", "type": "object", "properties": { "detail": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDetail" }, "dataSources": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSource" }, "description": "The test's data sources" }, "dataSetTypeCombinations": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetTypeCombination" }, "description": "The test's data set type combinations" }, "metaLinkItems": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TypeaheadItem" }, "description": "The test's meta link items" }, "leftDataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSource" }, "rightDataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSource" }, "profileAggregates": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The test's profile aggregates" }, "profileWindows": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The test's profile windows" }, "leftLatestProfileResults": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LatestProfileResult" }, "description": "The test's profile left/source latest profile results" }, "leftLatestNumericProfileHistoryResult": { "type": "number", "description": "The test's profile left/source latest numeric profile history", "format": "double", "nullable": true }, "rightLatestProfileResults": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.LatestProfileResult" }, "description": "The test's profile right/target latest profile results" }, "rightLatestNumericProfileHistoryResult": { "type": "number", "description": "The test's profile right/target latest numeric profile history", "format": "double", "nullable": true }, "leftLatestStringProfileHistoryResult": { "type": "string", "description": "The test's profile left/source latest string profile history", "nullable": true }, "rightLatestStringProfileHistoryResult": { "type": "string", "description": "The test's profile right/target latest string profile history", "nullable": true }, "versionInfo": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.VersionInfo" }, "assignedLabels": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.AssignedLabel" }, "description": "The test's assigned labels" }, "defaultStringEvaluationOperatorId": { "type": "integer", "description": "The test's default string evaluation operator ID", "format": "int32" }, "defaultStringEvaluationResultId": { "type": "integer", "description": "The test's default string evaluation result ID", "format": "int32" }, "defaultStringCaseSensitive": { "type": "boolean", "description": "Whether the test's default string is case sensitive" }, "isTestAuthor": { "type": "boolean", "description": "Whether the user is a test author" }, "canAccessLeftDataSource": { "type": "boolean", "description": "Whether the user can access the left/source data source" }, "canAccessRightDataSource": { "type": "boolean", "description": "Whether the user can access the right/target data source" }, "canRunTests": { "type": "boolean", "description": "Whether the user can run tests" }, "canViewResults": { "type": "boolean", "description": "Whether the user can view results" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestDetail": { "title": "TestDetail", "type": "object", "properties": { "testId": { "type": "integer", "description": "The test's ID", "format": "int32", "nullable": true }, "name": { "type": "string", "description": "The test's name", "nullable": true }, "description": { "type": "string", "description": "The test's description", "nullable": true }, "leftDataSet": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSet" }, "rightDataSet": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSet" }, "valueSuccessConditionTypeId": { "type": "integer", "description": "The test's value success condition type ID", "format": "int32", "nullable": true }, "valueSuccessToleranceDisplay": { "type": "string", "description": "The test's value success tolerance display" }, "overallSuccessConditionTypeId": { "type": "integer", "description": "The test's overall success condition type ID", "format": "int32", "nullable": true }, "overallSuccessToleranceDisplay": { "type": "string", "description": "The test's overall success tolerance display" }, "resultsAreOrdered": { "type": "boolean", "description": "Whether results are ordered" }, "onlyKeepFailures": { "type": "boolean", "description": "Whether to keep only failures" }, "abortAfterFailures": { "type": "boolean", "description": "Whether to abort after a certain amount of failures" }, "abortFailureCount": { "type": "integer", "description": "The amount of failures allowed before aborting", "format": "int32", "nullable": true }, "abortAfterRows": { "type": "boolean", "description": "Whether to abort after a certain amount of rows" }, "abortRowCount": { "type": "integer", "description": "The amount of rows allowed before aborting", "format": "int32", "nullable": true }, "purgeResults": { "type": "boolean", "description": "Whether to purge results" }, "purgeResultsAfterDays": { "type": "integer", "description": "Number of days after which to purge results", "format": "int32", "nullable": true }, "transferLabels": { "type": "boolean", "description": "Set whether to transfer labels" }, "versionId": { "type": "integer", "description": "The test version ID", "format": "int32", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestDataSource": { "title": "TestDataSource", "type": "object", "properties": { "hasMetadata": { "type": "boolean", "description": "Whether the data source has metadata" }, "canViewMetadata": { "type": "boolean", "description": "Whether the user can view metadata" }, "isActive": { "type": "boolean", "description": "Whether the data source is active" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSetTypeCombination": { "title": "DataSetTypeCombination", "type": "object", "properties": { "targetSetTypes": { "type": "array", "items": { "title": "DataSetType", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetType" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetTypeCombination" } ] }, "description": "List of target set types" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TypeaheadItem": { "title": "TypeaheadItem", "type": "object", "properties": { "levelId": { "type": "integer", "description": "The type ahead item's level ID", "format": "int32" }, "objectId": { "type": "integer", "description": "The type ahead item's objectId", "format": "int32" }, "name": { "type": "string", "description": "The type ahead item's name", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false }, "Configuration.Api.Models.v1.LatestProfileResult": { "title": "LatestProfileResult", "type": "object", "properties": { "context": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetConfigProfileContext" }, "levelId": { "type": "integer", "description": "The profile result's level ID", "format": "int32" }, "display": { "type": "string", "description": "The profile result's display", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.VersionInfo": { "title": "VersionInfo", "type": "object", "properties": { "versionId": { "type": "integer", "description": "The version info's version ID", "format": "int32" }, "versionNumber": { "type": "integer", "description": "The version info's version number", "format": "int32" }, "latestVersionName": { "type": "string", "description": "The version info's latest version name", "nullable": true }, "latestVersionNumber": { "type": "integer", "description": "The version info's latest version number", "format": "int32" }, "createdInfo": { "type": "string", "description": "The version info's creation info", "nullable": true }, "versions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestVersion" }, "description": "The version info's list of test versions" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.AssignedLabel": { "title": "AssignedLabel", "type": "object", "properties": { "id": { "type": "integer", "description": "The ID of the label assignment", "format": "int32" }, "labelId": { "type": "integer", "description": "The ID of the label", "format": "int32" }, "labelName": { "type": "string", "description": "The name of the label", "nullable": true }, "isLocked": { "type": "boolean", "description": "Whether the label is locked" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestDataSet": { "title": "TestDataSet", "type": "object", "properties": { "testDataSetTypeId": { "type": "integer", "description": "The test data set's type ID", "format": "int32", "nullable": true }, "dataSourceId": { "type": "integer", "description": "The test data set's data source ID", "format": "int32", "nullable": true }, "objectId": { "type": "integer", "description": "The test data set's object ID", "format": "int32", "nullable": true }, "objectText": { "type": "string", "description": "The test data set's object text", "nullable": true }, "configurationJson": { "type": "string", "description": "The test data set's configuration, written in JSON", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The test data set's meta links" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSetType": { "title": "DataSetType", "type": "object", "properties": { "isScalar": { "type": "boolean", "description": "Whether the data set type is scalar" }, "requiresDataSource": { "type": "boolean", "description": "Whether the data set type requires a data source" }, "requiresMetadata": { "type": "boolean", "description": "Whether the data set type requires metadata" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSetConfigProfileContext": { "title": "DataSetConfigProfileContext", "type": "object", "properties": { "tableId": { "type": "integer", "description": "The profile context's table ID", "format": "int32" }, "columnId": { "type": "integer", "description": "The profile context's column ID", "format": "int32", "nullable": true }, "profileDefId": { "type": "integer", "description": "The profile context's profile def ID", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestVersion": { "title": "TestVersion", "type": "object", "properties": { "number": { "type": "integer", "description": "The version's number", "format": "int32" }, "name": { "type": "string", "description": "The version's name", "nullable": true }, "creationDate": { "type": "string", "description": "The version's creation date", "nullable": true }, "creationTime": { "type": "string", "description": "The version's creation time", "nullable": true }, "creator": { "type": "string", "description": "The version's creator", "nullable": true }, "labels": { "type": "array", "items": { "type": "string" }, "description": "The version's assigned labels" } }, "additionalProperties": false }, "Common.DataSetMetaLink": { "title": "DataSetMetaLink", "type": "object", "properties": { "level": { "$ref": "#/components/schemas/Enums.DataSetMetaLinkLevel" }, "objectId": { "type": "integer", "format": "int32" }, "includeForCoverage": { "type": "boolean" } }, "additionalProperties": false }, "Enums.DataSetMetaLinkLevel": { "title": "DataSetMetaLinkLevel", "enum": [ "Table", "Column" ], "type": "string" } } } } ````